---
title: MediaSessionActionDetails.seekOffset
slug: Web/API/MediaSessionActionDetails/seekOffset
tags:
  - API
  - Audio
  - Media
  - Media Session API
  - MediaSession API
  - MediaSessionActionDetails
  - Property
  - Reference
  - Rewind
  - Scrub
  - Skip
  - Video
  - action
  - forward
  - offset
  - reverse
  - seek
  - seekOffset
---
<p>{{APIRef("Media Session API")}}</p>

<p><span class="seoSummary">The {{domxref("MediaSessionActionDetails")}} dictionary's <code><strong>seekOffset</strong></code> property is an optional value passed into the action handler callback to provide the number of seconds the <code>seekforward</code> and <code>seekbackward</code> actions should move the playback time by.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">let <em>mediaSessionActionDetails</em> = { seekOffset: <em>deltaTimeInSeconds</em> };

let <em>deltaTime</em> = <em>mediaSessionActionDetails</em>.seekOffset;
</pre>

<h3 id="Value">Value</h3>

<p>A floating-point value indicating the time delta in seconds by which to move the playback position relative to its current timestamp. If the offset isn't specified, the {{Glossary("user agent")}} will choose an appropriate offset automatically. This is typically in the range of five to ten seconds.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Media Session','#dom-mediasessionactiondetails-seekoffset','MediaSessionActionDetails.seekOffset')}}</td>
   <td>{{Spec2('Media Session')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.MediaSessionActionDetails.seekOffset")}}</p>

<ul>
</ul>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Media_Session_API">Media Session API</a></li>
 <li>Refer to the {{domxref("MediaSession")}} method {{domxref("MediaSession.setActionHandler", "setActionHandler()")}}</li>
</ul>
